extends RigidBody2D

var time_live = 15.0

func _ready():
	$Sprite.frame = int(rand_range(17, 20))

func _physics_process(delta):
	time_live -= delta
	
	if time_live <= 0:
		queue_free()

func _on_sleeping_state_changed():
	queue_free()
